import saito.objloader.*;
import processing.opengl.*;
import javax.media.opengl.*;

OBJModel model;
float rotX;
float rotY;

float posX=0;
float posY=0;

float zoom=1;
GL gl;

void setup()
{ 
   size(600, 600, OPENGL);
   model = new OBJModel(this);
   model.load("obj4/model.obj"); // dma.obj in data folder
   
   model.disableTexture();
   hint(DISABLE_DEPTH_TEST);
   
   gl = ((PGraphicsOpenGL)g).gl;
   
   gl.glBlendFunc(gl.GL_SRC_ALPHA, gl.GL_ONE_MINUS_SRC_ALPHA);
   gl.glEnable(GL.GL_BLEND);
}

void draw()
{  
   background(255);
   
   pushMatrix();
   translate(posX, posY, 0);
   
   rotateX(rotY);
   rotateY(rotX);
   
   scale(zoom);
   
   // 1er rendu en rouge
   
   
   stroke(255, 0, 0, 128);
   
   pushMatrix();
   
   model.drawMode(LINES);
   model.draw();
   popMatrix();  
   
   // 2eme rendu en cyan
   stroke(0, 255, 255, 128);
   
   pushMatrix();
   rotateY(radians(10));
   model.drawMode(LINES);
   model.draw();
   popMatrix();
   
   popMatrix();
}

void keyPressed()
{
   if (key == '+')
   zoom++;
   else if (key=='-' && zoom>1)
   zoom--;
}

void mouseDragged()
{
  // Translations = bouton gauche
  if (mouseButton == LEFT) {
   posX += (pmouseX - mouseX);
   posY += (pmouseY - mouseY);
 }
  
  // Rotations = bouton droit
  if (mouseButton == RIGHT) {
   rotX += (mouseX - pmouseX) * 0.01;
   rotY -= (mouseY - pmouseY) * 0.01;
 }
 
}
